search cancel

Application logs showing WARNINGs about APM Agent

book

Article ID: 256729

calendar_today

Updated On:

Products

CA Application Performance Management (APM / Wily / Introscope)

Issue/Introduction

The app owner sees the following entry in their application logs (WebLogic):

WARNING: An illegal reflective access operation has occurred

WARNING: Illegal reflective access by com.wily.introscope.api.instrument.JavaRedefineRetransformBean to method sun.instrument.InstrumentationImpl.isRetransformClassesSupported()

WARNING: Please consider reporting this to the maintainers of com.wily.introscope.api.instrument.JavaRedefineRetransformBean

WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations

WARNING: All illegal access operations will be denied in a future release

--------------------------------------------------------------------------------------------------------------------------------

 

Environment

Release : 10.7.0

JVM v11.0.14

APM Introscope Agent v10.7.0.197 (Build 992906)

Cause

JVM v11.0.14 is not supported with APM Introscope Agent v10.7.0.197 (Build 992906).

 

Resolution

https://knowledge.broadcom.com/external/article?articleId=127011#/

Advice is to use the SaaS Agent or upgrade to the APM 10.8 Agent where OpenJDK 11 apps are supported.

Please see the attached APM 10.8 Compatibility Guide.

Attachments

APM_Compatibility_Guide_10.8 (1)_1672350139791.xlsx get_app